#pageLoader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 4px;
  background: #ffffff;
  overflow: hidden;
  z-index: 9999;
  display: none;
  box-shadow: 0 0 4px #22c55e;
}

/* bar 1 (fast) */
#pageLoader::before {
  content: "";
  position: absolute;
  top: 0;
  left: -30%;
  width: 30%;
  height: 100%;
  background: #22c55e;
  animation: moveFast 1s linear infinite;
}

/* bar 2 (slow) */
#pageLoader::after {
  content: "";
  position: absolute;
  top: 0;
  left: -50%;
  width: 50%;
  height: 100%;
  background: #22c55e;
  opacity: 0.5;
  animation: moveSlow 1.5s linear infinite;
}

#overlayLock {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.25);
  display: none;
  z-index: 9998;
}

@keyframes moveFast {
  0% {
    left: -30%;
  }

  100% {
    left: 100%;
  }
}

@keyframes moveSlow {
  0% {
    left: -50%;
  }

  100% {
    left: 100%;
  }
}

@media (max-width: 768px) {
  #pageLoader {
    height: 6px;
  }
}
